Firefox Encryption Warning

Firefox will refuse to connect to completely legitimate sites with the Message “SSL_ERROR_NO_CYPHER_OVERLAP”if the setting of

security.tls.version.fallback-limit=1 is used.

Going to about:config and setting security.tls.version.fallback-limit=3 fixes this.

Enter your comment. Wiki syntax is allowed:
If you can't read the letters on the image, download this .wav file to get them read to you.